import { IgniteElement } from './ignite-element.js';
import { IgniteTemplate, div, slot, html } from './ignite-template.js';
import { Sheet } from './sheet.js';

class MainApp extends IgniteElement {
    constructor() {
        super();

        this.name = "Default Name";
    }

    get properties() {
        return [
            "name",
        ];
    }

    render() {
        return this.template
            .child(new Sheet().property("name", this.name))
            .child(
                new div(
                    new html(`<h1>This is a slot!`),
                    new slot(this)
                )
            );
    }
}

customElements.define("main-app", MainApp);